[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragManager.KeyUp

Handler for keyboard key released.

## Declaration

Source position: controls.pp line 634

`protected procedure TDragManager.KeyUp(`
`var Key: Word;`
`Shift: TShiftState`
`); virtual; abstract;`

## Arguments

`Key` |  | Virtual key code for the key up event.
`Shift` |  | Shift, Ctrl, or Alt modifier for the key up event.

## Description

When the Ctrl key is released, a drop is enabled again.